LibreOffice: XUIElementFactoryManager Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
XUIElementFactoryManager Interface Reference

Provides a unified interface for the new-style service XUIElementFactoryManager. More...

Inheritance diagram for XUIElementFactoryManager:

## Exported Interfaces
interface | XUIElementFactory
| provides a function to create new instances of user interface elements.
interface | XUIElementFactoryRegistration
| provides functions to query, retrieve, register and deregister user interface element factories.

## Additional Inherited Members
Public Member Functions inherited from XUIElementFactory
::com::sun::star::ui::XUIElement | createUIElement ([in] string ResourceURL, [in] sequence< com::sun::star::beans::PropertyValue > Args) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| creates a new instances of a specific user interface element.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XUIElementFactoryRegistration
sequence< sequence< com::sun::star::beans::PropertyValue > > | getRegisteredFactories ()
| function to retrieve a list of all registered user interface element factories
::com::sun::star::ui::XUIElementFactory | getFactory ([in] string ResourceURL, [in] string ModuleIdentifier)
| function to retrieve a previously registered user interface element factory.
void | registerFactory ([in] string aType, [in] string aName, [in] string aModuleIdentifier, [in] string aFactoryImplementationName) raises (com::sun::star::container::ElementExistException)
| function to register a user interface element factory.
void | deregisterFactory ([in] string aType, [in] string aName, [in] string ModuleIdentifier) raises (com::sun::star::container::NoSuchElementException)
| function to remove a previously defined user interface element factory.

## Detailed Description

Provides a unified interface for the new-style service XUIElementFactoryManager.

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ XUIElementFactory

interface XUIElementFactory

provides a function to create new instances of user interface elements.

A user interface element factory manager is also a user interface element factory. It retrieves the responsible user interface element factory from the provided arguments and passes the arguments to it.

See also
  XUIElementFactory

## ◆ XUIElementFactoryRegistration

interface XUIElementFactoryRegistration

provides functions to query, retrieve, register and deregister user interface element factories.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIElementFactoryManager.idl